package com.example.wabi.domain.navigation

import androidx.navigation.NavController
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import jakarta.inject.Inject

//класс с вспомагательными методами для навигации
@Module
@InstallIn(SingletonComponent::class)
class NavigationFun @Inject constructor(){
    @Provides
    fun NextScreen(navController: NavController, whereFrom: String = "", where: String): Boolean{
        if (whereFrom.isNotEmpty()) {
            navController.popBackStack()
            navController.navigate(where) {
                popUpTo(whereFrom) {
                    inclusive = true
                }
            }
        } else {
            navController.popBackStack()
            navController.navigate(where)
        }
        return true
    }
}